.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999;
    display: none;
    width: 100vw;
    height: 100vh;
    height: 100dvh;
    padding: 64px;
    background: #00000080;
}

.modal_inner {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 800px;
    height: fit-content;
    max-height: 90vh;
    margin: auto;
    padding: 64px 0 0 0;
    overflow: hidden;
    border-radius: 0;
    background-color: white;
    cursor: auto;
}

.modal_scrollArea {
    position: relative;
    flex-grow: 1;
    overflow-y: auto;
    width: calc(100% - 5px);
    padding: 0 40px 40px;
}

.modal_scrollArea::-webkit-scrollbar {
    width: 5px;
}
.modal_scrollArea::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0);
    box-shadow: none;
}
.modal_scrollArea::-webkit-scrollbar-thumb {
    border: none;
    border-radius: 3px;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: none;
}
.modal_scrollArea::-webkit-scrollbar-button {
    display: none;
}

.close_btn {
    position: absolute;
    top: 8px;
    right: 8px;
    z-index: 1000;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #333;
    cursor: pointer;
}

.close_btn::before,
.close_btn::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 26px;
    height: 3px;
    border-radius: 2px;
    background-color: white;
    pointer-events: none;
}

.close_btn::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.close_btn::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.modal_inner .modal_footer {
    display: flex;
    justify-content: center;
    padding: 16px 0;
    border-top: 1px solid #888888;
    background-color: white;
}

.modal_inner .modal_footer button {
    margin: 0;
}
